#{extends 'border.html'/}
<div class="container">
#{form @admin.KomoditasCtr.createTemplateJadwalSubmit(), method:'POST', class:'form-horizontal form_submit_template_jadwal'}
		
	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.detail(komoditas.id)}">&{'detail_komoditas.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.detail(komoditas.id)}">&{'template_jadwal.label'}</a></li>
				<li class="active">&{'tambah_template_jadwal.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
				#{saveButton id:'submitBtn'/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	#{alert /}

	#{include '/admin/KomoditasCtr/_formTemplateJadwal.html' /}
	
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    CKEDITOR.replace( 'description' );
	var pleaseSelctLabel = `&{'pilih.label'}`;
	var valid = false;
    var err_message = "";
    var index = ${form.jadwal ? form.jadwal.size() : 0};

	$("#tambah_tahapan").on("click",function(){

        var str = "<tr>" +
					"<td>" +
						"<select index='"+index+"' required name='form.tahapan_arr' id='tahapan_"+index+"' class='form-control select2 tahapan_drop_down'>" +
							"<option value=''>"+pleaseSelctLabel+"</option>";
							#{list tahapanList,as:'tahapan'}
								str += "<option value='${tahapan.id}'>${tahapan.nama_tahapan_alias}</option>";
							#{/list}
		str += "</select></td>" +
				"<td><input type='radio' id='penawaran"+index+"' name='form.penawaran' value=''/></td>" +
				"<td><input type='radio' id='negosiasi"+index+"' name='form.negosiasi' value=''/></td>" +
				"<td><a id='removeInput' index='"+index+"' class='btn btn-danger'><i class='fa fa-trash'></i></a></td>" +
				"</tr>";
        $("#tahapan_jadwal").append(str);
		index += 1;

	});

    $("body").on("click","#removeInput",function(){

        $(this).parent().parent().remove();
    });

    $("body").on("change",".tahapan_drop_down",function(){
		var index = $(this).attr("index");
		var this_value = $(this).val();

		var penawaran = "#penawaran"+index;
		var negosiasi = "#negosiasi"+index;

        $(penawaran).val(this_value);
        $(negosiasi).val(this_value);

    });

    function check_validity(){

		var check_penawaran = $("input[name='form.penawaran']").is(":checked");
		var check_negosiasi = $("input[name='form.negosiasi']").is(":checked");

        if (check_penawaran && check_negosiasi) {
            return true;
        }

		err_message = "&{'komoditas.template.radio.error'}";
        return false;
    }


    $(".form_submit_template_jadwal").on("submit",function(){
        //valid = check_validity();
		// console.log($("input[name='form.templateJadwal.deskripsi']").val());
		//if(!valid){
		//	alert(err_message);
		//}else {
			var kontrakDocs  = CKEDITOR.instances.description.getData();
			var kontrakDocsE = htmlEscape(kontrakDocs);//ini fungsi encode
			CKEDITOR.instances.description.setData(kontrakDocsE);
			return true;
		//}

        //return valid;
    });

    $(function() {
        $('#submitBtn').click(function(e) {
            e.preventDefault();
            var desk = CKEDITOR.instances.description.getData();
            if(desk){
                $(".form_submit_template_jadwal").submit();
            }else{
                // console.log("ini tidak ada data text");
                $(".validate").show();
                $('html, body').animate({
                    scrollTop: $(".nama_template").offset().top
                }, 0);
            }
        });
    });
</script>
#{/set}